%define name 	viewmol
%define version 2.4
%define release 1mdk

%define pythonver 2.3

Summary: 	Molecule viewer and editor
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sciences/Chemistry
URL: 		http://viewmol.sourceforge.net
BuildRoot: 	%_tmppath/%name-root
Source: 	%name-2.3.src.tar.bz2
Source1: 	%name.latest.tar.bz2
BuildRequires: 	libtiff-static-devel libMesaGLU-devel libpython-devel
Buildrequires: 	XFree86-devel lesstif-devel libpng-devel db1-devel

%description
Viewmol is a graphical front end for computational chemistry programs.
It is able to graphically aid in the generation of molecular structures
for computations and to visualize their results. At present Viewmol
includes input filters for Discover, DMol, Gamess, Gaussian 9x, Gulp,
Mopac, and Turbomole outputs as well as for PDB files.

%prep
%setup -q -n %name-2.3
cd source
tar xfj %{SOURCE1}
perl -p -i -e 's!usr/local/lib!%_libdir!g' getrc.c

%build
cd source
mkdir Linux
echo "LIBTIFF = -L%_libdir" > .config.Linux
echo "TIFFINCLUDE = /usr/include" >> .config.Linux
echo "MESALIB = -L/usr/X11R6/%_lib" >> .config.Linux
echo "MESAINCLUDE = /usr/X11R6/include/GL" >> .config.Linux
#echo "PYTHONVERSION = %pythonver" >> .config.Linux
echo "PYTHONINCLUDE = /usr/include/python%pythonver" >> .config.Linux
echo "LIBPYTHON = -L%_libdir/python%pythonver" >> .config.Linux
cd Linux
cat ../.config.Linux > makefile
echo 'OPT=${RPM_OPT_FLAGS}' >> makefile
echo 'CFLAGS=-Wall -I/usr/X11R6/include -DLINUX' >> makefile
echo 'LDFLAGS=' >> makefile
echo 'SCANDIR=' >> makefile
echo 'INCLUDE=$(MESAINCLUDE) -I$(TIFFINCLUDE) -I$(PYTHONINCLUDE)' >> makefile
echo 'LIBRARY=$(MESALIB) $(LIBPYTHON)' >> makefile
echo 'LIBS=-L/usr/X11R6/%_lib -lpython%pythonver -ltiff -lGLU -lGL -lXm -lXmu -lXp -lXi -lXext -lXt -lX11 -lpthread -ldb1 -lutil -ldl -lm -lpng' >> makefile
cat ../Makefile >> makefile
make viewmol_
make tm_
make bio_
make readgamess_
make readgauss_
make readmopac_
make readpdb_

%install
cd source
./install $RPM_BUILD_ROOT%_prefix
mkdir -p $RPM_BUILD_ROOT%_docdir
mv $RPM_BUILD_ROOT/usr/%_lib/viewmol/man/ $RPM_BUILD_ROOT/%_docdir/%name-%version
# mkdir -p $RPM_BUILD_ROOT/usr/local/lib
cd $RPM_BUILD_ROOT/%_libdir/%name
ln -s ../../share/doc/%name-%version man
chmod 755 $RPM_BUILD_ROOT/%_libdir/viewmol/Linux/*
chmod 755 $RPM_BUILD_ROOT/%_bindir/*

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="viewmol"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="ViewMol"\
icon="chemistry_section.png"\
longtitle="GUI Interface for Chemistry Software"
EOF

%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc %_docdir/%name-%version
%_bindir/%name
%_libdir/%name
%_menudir/%name

%changelog
* Sat Dec 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4-1mdk
- 2.4

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 2.3.20021215-3mdk
- python 2.3

* Tue May 06 2003  Lenny Cartier <lenny@mandrakesoft.com> 2.3.20021215-2mdk
- buildrequires

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.20021215-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump to latest snapshot
	- point executable to /usr/lib/viewmol for rc file

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 2.3-1mdk
- package creation for Mandrake 9.0
